Bug 443774 - (CVE-2008-1025) CVE-2008-1025 WebKit: XSS via URLs with colon
CVE-2008-1025 WebKit: XSS via URLs with colon
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=cve,reported=20080417,public=2...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-23 05:07 EDT by Tomas Hoger
Modified: 2016-03-04 07:56 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-05 12:28:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-04-23 05:07:54 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-1025 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in Apple WebKit, as used in Safari before 3.1.1, allows remote attackers to inject arbitrary web script or HTML via a crafted URL with a colon in the hostname portion.

Refences:
http://support.apple.com/kb/HT1467
http://lists.apple.com/archives/security-announce/2008/Apr/msg00001.html
http://www.kb.cert.org/vuls/id/705529
Comment 1 Tomas Hoger 2008-04-23 05:16:37 EDT
Relevant part of Apple security advisory:

WebKit
CVE-ID:  CVE-2008-1025
Available for:  Mac OS X v10.4.11, Mac OS X Server v10.4.11,
Mac OS X v10.5.2, Mac OS X Server v10.5.2, Windows XP or Vista
Impact:  Visiting a malicious website may result in cross-site
scripting
Description:  An issue exists in WebKit's handling of URLs containing
a colon character in the host name. Opening a maliciously crafted URL
may lead to a cross-site scripting attack. This update addresses the
issue through improved handling of URLs. Credit to Robert Swiecki of
the Google Security Team, and David Bloom for reporting this issue.


So far, I failed to find further details about this issue.  Searching WebKit
trac does not show anything obvious either.
Comment 2 Tomas Hoger 2008-04-29 03:13:34 EDT
According to Apple Product Security team, this is relevant change set:

http://trac.webkit.org/changeset/31438

Should be included in WebKit-1.0.0-0.8.svn31787 in stable (F8) or on the way to
stable (F7).
Comment 3 Tomas Hoger 2008-05-05 12:28:07 EDT
WebKit-1.0.0-0.8.svn31787 or newer is now in all current Fedora versions.

Note You need to log in before you can comment on or make changes to this bug.